%UATAMEX Upper triangle of A'*A 
%
% This is the MATLAB equivalent implementation of libmeq/uata.c.
% A more detailed help is available in UATAMEX.
%
% [+MEQ MatlabEQuilibrium Toolbox+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved.
function b = uatamexm(a)
 b = subsref(a'*a,struct('type','()','subs',{{triu(true(size(a,2)))}}));
end
